# Velora Market API

In this guide, you'll explore the Velora Market API, its different versions, and the various actions it enables.&#x20;

Start by reading the Overview section to better understand how the Market API aggregates liquidity across multiple DEXs and AMMs to provide optimal trade execution.&#x20;

This guide will help you to:

* Leverage the API effectively.
* Retrieve a price and get the most optimal route for a trade.
* Build parameters for a transaction with the response from the prices endpoint.
* Find the optimal fee strategy for your integration.

|                                                                                              |
| :------------------------------------------------------------------------------------------: |
|                   [Overview](/api/velora-api/velora-market-api/overview.md)                  |
|                  [API versions](/api/velora-api/velora-market-api/master.md)                 |
|      [Retrieve a price](/api/velora-api/velora-market-api/get-rate-for-a-token-pair.md)      |
| [Build a transaction](/api/velora-api/velora-market-api/build-parameters-for-transaction.md) |
|   [Get Price & Calldata](/api/velora-api/velora-market-api/get-rate-for-a-token-pair-1.md)   |
|                   [Examples](/api/velora-api/velora-market-api/examples.md)                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/velora-api/velora-market-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
